Memory Stores
Create a memory item
Creates a memory item in the specified memory store.
Headerparameter
Foundry-Features
enum
Erforderlich
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Pfadparameter
name
string
Erforderlich
The name of the memory store.
Abfrageparameter
api-version
string
Erforderlich
The API version to use for this operation.
Anforderungstext
scope
string
Erforderlich
The namespace that logically groups and isolates memories, such as a user ID.
content
string
Erforderlich
The content of the memory.
kind
string | enum
Erforderlich
Memory item kind.
enum
Antworten
The request has succeeded.
Text
user_profile
UserProfileMemoryItem
A memory item specifically containing user profile information extracted from conversations, such as preferences, interests, and personal details.
kind
enum
Erforderlich
The kind of the memory item.
chat_summary
ChatSummaryMemoryItem
A memory item containing a summary extracted from conversations.
kind
enum
Erforderlich
The kind of the memory item.
procedural
ProceduralMemoryItem
A memory item containing a procedure extracted from conversations.
kind
enum
Erforderlich
The kind of the memory item.
Anfordern
POST /memory_stores/{name}/items HTTP/1.1
Antwort
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json